/*
 * Copyright (c) 2008 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include "../src/velodyneConfig.h"

#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>

#include <velodyne/velodyneLib.h>

int
main(int argc, char *argv[])
{
	int status;
	char *name;
	VELODYNE_INTERFACE *dev;
	VELODYNE_PACKET_STR packet;

	if (argc == 2) {
		name = argv[1];
	} else {
		name = "udp";
	}

	dev = velodyne_open(name);
	if (dev == NULL) {
#ifdef HAVE_POCOLIBS
		h2perror("velodyne_open");
#else
		perror("velodyne_open");
#endif
		exit (2);
	}
	while (1) {
		if (velodyne_read_packet(dev, &packet)
		    != VELODYNE_MSG_BUFFER_SIZE) 
			break;
		velodyne_print_packet(&packet);
		velodyne_print_packet_3d(&packet);
	}
	velodyne_close(dev);
	
	exit(0);
}

